Subject: Re: [PATCH v3 0/6] builtin/repo: include largest object information

From: Junio C Hamano <[email-masked]>
Date: Mon, 02 Mar 2026 14:09:14 -0800

Justin Tobler <[email-masked]> writes:

> Changes from V2:
> - When checking for largest objects, zero valued objects were not
>   recorded even if they were the "largest" object. In this version, if
>   an object ID has not been recorded yet, it is always added even if its
>   value is zero.
> - Added some helper functions for printing keyvalue info to cut down on
>   duplicate code and hopefully make it a bit easier on the eyes.
> - Moved the for-each loop that printed table OID annoations inside the
>   preceding if-block making it a bit easier to reason about.

The changes I see in the diff relative to the previous iteration all
look sane to me.  Will replace.  Thanks.